/**
 * A pool of jobs that only executes k jobs 'simultaneously'
 */
export declare class GetPool {
    promises: Array<Promise<void>>;
    private runningJobs;
    private queuedJobs;
    private readonly maxConnections;
    private readonly loop;
    private lock;
    private finished;
    private resolve;
    private readonly downloadUpload;
    constructor(connections: number, downloadUpload: (url: string, name: string, extension: string) => Promise<void>);
    add(url: string, name: string, extension: string): void;
    close(resolve: any): void;
    private poolLoop;
}
